For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog in
ProductAPI ReferenceChangelogModel Versioning
ProductAPI ReferenceChangelogModel Versioning
    • Authentication
    • API Versioning
  • Workflow Endpoints
    • Run Workflow
    • Workflow Run
    • List Workflow Runs
    • Update Workflow Run
    • Create Workflow
    • Batch Run Workflow
    • Correct Workflow Run (Deprecated)
  • Processor Endpoints
    • Run Processor
    • Get Processor Run
    • Batch Processor Run
    • Create Processor
    • Update Processor
    • Publish Processor Version
    • Processor Version
    • List Processor Versions
  • Parse Endpoints
    • Parse File
  • File Endpoints
    • Upload File
    • Get File
    • List Files
    • Create File (Deprecated)
  • Evaluation Set Endpoints
    • Create Evaluation Set
    • Create Evaluation Set Item
    • Update Evaluation Set Item
    • Bulk Create Evaluation Set Item
  • Objects
    • Block
    • Evaluation Set
    • Evaluation Set Item
    • File
    • Processor
    • Processor Run
    • Batch Processor Run
    • Processor Version
    • Workflow
    • Workflow Run
    • Workflow Run Summary
  • Guides
    • Processor Configs
    • Output Types
    • Bounding Boxes
    • Supported File Types
    • Rate Limits
    • User Roles and Permissions
  • Webhooks
    • Configuration
    • Events
LogoLogo
Book a demoLog in
Workflow Endpoints

Get Workflow Run

Once a workflow has been run, take the workflowRunId to check the status and output of a specific WorkflowRun.
Example Request
$curl --location --request GET 'https://api-prod.extend.app/workflow_runs/:workflowRunId' \
>--header 'Content-Type: application/json' \
>--header 'Authorization: Bearer <API_TOKEN>'
Example Response
1{
2 "success": true,
3 "workflowRun": {
4 "object": "workflow_run",
5 "id": "workflow_run_1234",
6 "status": "PROCESSED",
7 "metadata": {
8 "internal_id": "id_1234"
9 },
10 "files": [
11 {
12 "object": "file",
13 "id": "file_1234",
14 "name": "example_file_name.pdf",
15 }
16 ],
17 "initialRunAt": "2023-01-01T09:41:00.000Z",
18 "reviewedBy": "user_1234",
19 "reviewedAt": "2023-01-10T05:39:14.500Z",
20 "startTime": "2023-01-01T09:41:00.000Z",
21 "endTime": "2023-01-10T05:39:24.500Z",
22 "outputs": [
23 {
24 "object": "document_processor_run",
25 "id": "dpr_1234",
26 "edited": true,
27 "type": "EXTRACT",
28 "initialOutput": {
29 // Output object - see “Processor output types” for details
30 },
31 "reviewedOutput": {
32 // Output object - see “Processor output types” for details
33 },
34 "output": {
35 // Output object - see “Processor output types” for details
36 }
37 }
38 ],
39 "workflow": {
40 "object": "workflow",
41 "id": "workflow_1234",
42 "version": "1",
43 "name": "test_workflow"
44 }
45 }
46}
Was this page helpful?
Previous

List Workflow Runs

List runs of a Workflow.
Next
Built with

Path

workflowRunId
string

The ID of the WorkflowRun that was outputted after a Workflow was run through the API.

Response

success
boolean

A true or false value for whether the request was successful.

workflowRun
WorkflowRun

An object representing a WorkflowRun. See the WorkflowRun object for the shape of the data.